Cannoli_2.12: Core 0.14.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  object Cannoli

  Implicits on Cannoli function source data sets.

  Implicits on Cannoli function source data sets.

  Definition Classes
    cannoli
- CannoliAlignmentDataset
- CannoliFeatureDataset
- CannoliFragmentDataset
- CannoliReadDataset
- CannoliSequenceDataset
- CannoliVariantContextDataset

c

org.bdgenomics.cannoli.Cannoli

# CannoliVariantContextDataset 

###

#### implicit class CannoliVariantContextDataset extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CannoliVariantContextDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new CannoliVariantContextDataset(vcs: VariantContextDataset)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def annotateWithSnpEff(args: SnpEffArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Annotate the variant contexts in this VariantContextDataset with SnpEff via Cannoli.

   Annotate the variant contexts in this VariantContextDataset with SnpEff via Cannoli.

   args

     SnpEff function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

5.  def annotateWithVep(args: VepArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Annotate the variant contexts in this VariantContextDataset with Ensembl VEP via Cannoli.

   Annotate the variant contexts in this VariantContextDataset with Ensembl VEP via Cannoli.

   args

     Vep function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def callWithBcftools(args: BcftoolsCallArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

   Call variant contexts in this VariantContextDataset with bcftools call via Cannoli.

   Call variant contexts in this VariantContextDataset with bcftools call via Cannoli.

   args

     Bcftools call function arguments.

   stringency

     Validation stringency. Defaults to ValidationStringency.LENIENT.

   returns

     VariantContextDataset.

8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def normalizeWithBcftools(args: BcftoolsNormArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

    Normalize the variant contexts in this VariantContextDataset with bcftools norm via Cannoli.

    Normalize the variant contexts in this VariantContextDataset with bcftools norm via Cannoli.

    args

      Bcftools norm function arguments.

    stringency

      Validation stringency. Defaults to ValidationStringency.LENIENT.

    returns

      VariantContextDataset.

16.  def normalizeWithVt(args: VtNormalizeArgs, stringency: ValidationStringency = ValidationStringency.LENIENT): VariantContextDataset

    Normalize the variant contexts in this VariantContextDataset with vt normalize via Cannoli.

    Normalize the variant contexts in this VariantContextDataset with vt normalize via Cannoli.

    args

      Vt normalize function arguments.

    stringency

      Validation stringency. Defaults to ValidationStringency.LENIENT.

    returns

      VariantContextDataset.

17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped